Last Comment Bug 1127120 - Add GA events for Download and Upgrade button clicks on the Hello product page
: Add GA events for Download and Upgrade button clicks on the Hello product page
Status: RESOLVED FIXED
[kb=1645630]
:
Product: www.mozilla.org
Classification: Other
Component: Analytics (show other bugs)
: Production
: x86 Mac OS X
-- normal
: ---
Assigned To: Cory Price [:ckprice]
:
:
Mentors:
http://www.mozilla.org/firefox/hello
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-28 15:56 PST by Cory Price [:ckprice]
Modified: 2015-02-04 14:15 PST (History)
4 users (show)
See Also:
Locale:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
pull request (44 bytes, text/x-github-pull-request)
2015-01-28 20:31 PST, Cory Price [:ckprice]
no flags Details | Review | Splinter Review

Description User image Cory Price [:ckprice] 2015-01-28 15:56:55 PST
This bug is to add two GA events to the Hello product page.

We're currently unable to see referrals to the download page (ref bug 1008390), so adding events to this page is required.

The upgrade button is shown when a user is on FF < 35
_gaq.push(['_trackEvent', '/hello interactions','productPage','ClickUpgrade']);

The download button is shown when a user is not on an FF browser.
_gaq.push(['_trackEvent', '/hello interactions','productPage','ClickDownload']);

Note: events for impressions are not required since this can already be retrieved using filters in GA.
Comment 1 User image Cory Price [:ckprice] 2015-01-28 20:31:21 PST
Created attachment 8556274 [details] [review]
pull request
Comment 2 User image [github robot] 2015-01-30 02:35:59 PST
Commits pushed to master at https://github.com/mozilla/bedrock

https://github.com/mozilla/bedrock/commit/d87c5541380db112bba8bbc66ae7994879082135
[fix bug 1127120] Add GA events for download/update buttons

https://github.com/mozilla/bedrock/commit/42c1e9b84b526053b293c84172e15320e20512a3
Merge pull request #2695 from ckprice/bug-1127120-ga-product-page

[fix bug 1127120] Add GA events for download/update buttons
Comment 3 User image Cory Price [:ckprice] 2015-02-03 13:17:52 PST
The PR was verified and merged, but these two events don't seem to be firing in production.

# Can't verify they are firing inspecting the network traffic on https://www.mozilla.org/en-US/firefox/hello/
# None of these events have been registered in GA - http://cl.ly/image/3V2f2v0L0O3J
Comment 4 User image Alex Gibson [:agibson] 2015-02-04 01:25:08 PST
https://www.mozilla.org/media/revision.txt shows commit 75db96a7a25f36471116fec9ea89e56f2cd065a3 [1], which was 8 days ago. So I think the issue here is this PR has just not yet made it to production :)

[1] https://github.com/mozilla/bedrock/commit/75db96a7a25f36471116fec9ea89e56f2cd065a3
Comment 5 User image Cory Price [:ckprice] 2015-02-04 14:15:35 PST
(In reply to Alex Gibson [:agibson] from comment #4)
> So I think the issue here is this PR has just not yet made it to production :)
Bah, thanks Alex! Assumed it was in and didn't check the actual page source. Also thanks for the /revision.txt tip!

Note You need to log in before you can comment on or make changes to this bug.